org.vertx.java.core.eventbus.impl

## Class ServerIDs

- java.lang.Object
- - org.vertx.java.core.eventbus.impl.ServerIDs

All Implemented Interfaces:
  java.lang.Iterable<ServerID>

    public class ServerIDs
    extends java.lang.Object
    implements java.lang.Iterable<ServerID>

### Constructor Summary

Constructors
Constructor and Description
`ServerIDs(int initialSize)`

### Method Summary

Methods
`void` `add(ServerID id)`
`ServerID` `choose()`
`boolean` `isEmpty()`
`boolean` `isInitialised()`
`java.util.Iterator<ServerID>` `iterator()`
`void` `merge(ServerIDs toMerge)`
`void` `remove(ServerID id)`
`void` `setInitialised()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ServerIDs

    public ServerIDs(int initialSize)

### Method Detail

#### isInitialised

    public boolean isInitialised()

#### setInitialised

    public void setInitialised()

#### add

    public void add(ServerID id)

#### remove

    public void remove(ServerID id)

#### merge

    public void merge(ServerIDs toMerge)

#### isEmpty

    public boolean isEmpty()

#### iterator

    public java.util.Iterator<ServerID> iterator()

Specified by:
  `iterator` in interface `java.lang.Iterable<ServerID>`

#### choose

    public ServerID choose()